Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CorrespondingPropertyMaker

    java.lang.Object
      org.apache.fop.fo.properties.CorrespondingPropertyMaker

Direct Known Subclasses:
  DimensionPropertyMaker, IndentPropertyMaker, SpacePropertyMaker

public class CorrespondingPropertyMaker
extends java.lang.Object

Field Summary
`protected PropertyMaker` | `baseMaker`
`protected int` | `lr_tb`
`protected int` | `rl_tb`
`protected int` | `tb_rl`
`protected boolean` | `useParent`

Constructor Summary
`CorrespondingPropertyMaker(PropertyMaker baseMaker)`

Method Summary
`Property` | `compute(PropertyList propertyList)` Return a Property object representing the value of this property, based on other property values for this FO.
`protected PropertyList` | `getWMPropertyList(PropertyList pList)` Return the property list to use for fetching writing mode depending property ids.
`boolean` | `isCorrespondingForced(PropertyList propertyList)` For properties that operate on a relative direction (before, after, start, end) instead of an absolute direction (top, bottom, left, right), this method determines whether a corresponding property is specified on the corresponding absolute direction.
`void` | `setCorresponding(int lr_tb, int rl_tb, int tb_rl)`
`void` | `setRelative(boolean relative)`
`void` | `setUseParent(boolean useParent)` Controls whether the PropertyMaker accesses the parent property list or the current property list for determining the writing mode.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseMaker

    protected PropertyMaker baseMaker

### lr_tb

    protected int lr_tb

### rl_tb

    protected int rl_tb

### tb_rl

    protected int tb_rl

### useParent

    protected boolean useParent

Constructor Detail

### CorrespondingPropertyMaker

    public CorrespondingPropertyMaker(PropertyMaker baseMaker)

Method Detail

### setCorresponding

    public void setCorresponding(int lr_tb,
                                 int rl_tb,
                                 int tb_rl)

### setUseParent

    public void setUseParent(boolean useParent)

  Controls whether the PropertyMaker accesses the parent property list or the current property list for determining the writing mode.

  Parameters:
    `useParent` - true if the parent property list should be used.

### setRelative

    public void setRelative(boolean relative)

### isCorrespondingForced

    public boolean isCorrespondingForced(PropertyList propertyList)

  For properties that operate on a relative direction (before, after, start, end) instead of an absolute direction (top, bottom, left, right), this method determines whether a corresponding property is specified on the corresponding absolute direction. For example, the border-start-color property in a lr-tb writing-mode specifies the same thing that the border-left-color property specifies. In this example, if the Maker for the border-start-color property is testing, and if the border-left-color is specified in the properties, this method should return true.

  Parameters:
    `propertyList` - collection of properties to be tested
  Returns:
    true iff 1) the property operates on a relative direction, AND 2) the property has a corresponding property on an absolute direction, AND 3) the corresponding property on that absolute direction has been specified in the input properties

### compute

    public Property compute(PropertyList propertyList)
                     throws PropertyException

  Return a Property object representing the value of this property, based on other property values for this FO. A special case is properties which inherit the specified value, rather than the computed value.

  Parameters:
    `propertyList` - The PropertyList for the FO.
  Returns:
    Property A computed Property value or null if no rules are specified (in foproperties.xml) to compute the value.
  Throws:
    `FOPException` - for invalid or inconsistent FO input
    `PropertyException`

### getWMPropertyList

    protected PropertyList getWMPropertyList(PropertyList pList)

  Return the property list to use for fetching writing mode depending property ids.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.